Spurious test failure in TestRegionServer.test_register_calls_refresh_when_needed

Bug #1555236 reported by Gavin Panella on 2016-03-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MAAS
Medium
Unassigned

Bug Description

FAIL: maasserver.rpc.tests.test_regionservice.TestRegionServer.test_register_calls_refresh_when_needed
----------------------------------------------------------------------
testtools.testresult.real._StringException: Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/twisted/internet/defer.py", line 1128, in _inlineCallbacks
    result = g.send(result)
StopIteration: {'system_id': '4y3hry'}

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/tmp/tarmac/branch.zMjDRt/src/maastesting/runtest.py", line 59, in _run_user
    result = function(*args, **kwargs)
  File "/home/ubuntu/.buildout/eggs/testtools-1.8.1-py3.5.egg/testtools/testcase.py", line 654, in _run_test_method
    return self._get_test_method()()
  File "/usr/lib/python3/dist-packages/crochet/_eventloop.py", line 461, in wrapper
    return eventual_result.wait(timeout)
  File "/usr/lib/python3/dist-packages/crochet/_eventloop.py", line 231, in wait
    result.raiseException()
  File "/usr/lib/python3/dist-packages/twisted/python/failure.py", line 368, in raiseException
    raise self.value.with_traceback(self.tb)
  File "/usr/lib/python3/dist-packages/twisted/internet/defer.py", line 1128, in _inlineCallbacks
    result = g.send(result)
  File "/tmp/tarmac/branch.zMjDRt/src/maasserver/rpc/tests/test_regionservice.py", line 1398, in test_register_calls_refresh_when_needed
    self.assertThat(mock_refresh, MockCalledOnce())
  File "/home/ubuntu/.buildout/eggs/testtools-1.8.1-py3.5.egg/testtools/testcase.py", line 435, in assertThat
    raise mismatch_error
testtools.matchers._impl.MismatchError: Expected to be called once. Called 0 times.

-------------------- >> begin captured logging << --------------------
maas.rpc.rackcontrollers: INFO: host-yhtc6x has been created as a new rack controller
twisted: INFO: Rack controller '4y3hry' has been registered.
twisted: INFO: Rack controller '4y3hry' needs to be refreshed; performing the refresh operation.
--------------------- >> end captured logging << ---------------------

Related branches

Gavin Panella (allenap) wrote :
Lee Trager (ltrager) wrote :

The register process no issues a request from the rack, the rack now requests a refresh after its connected.

Lee Trager (ltrager) on 2016-06-13
Changed in maas:
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers